<?php

// Authentification

if (@file_exists('inc/auth.inc.php') && @include_once 'inc/auth.inc.php');
else exit;

// General options

$ezin_opts['dbh'] = ezin_open_db_connection();
$ezin_opts['tb']  = $ezin_sys['db']['tables']['editorials'];
$ezin_opts['key'] = 'id';
$ezin_opts['key_type'] = 'int';
$ezin_opts['sort_field'] = 'id';
$ezin_opts['inc'] = 20;
$ezin_opts['options'] = $ezin_USER['role_editorials'];
$ezin_opts['multiple'] = '4';
$ezin_opts['navigation'] = $ezin_cfg['admin_navigation'].$ezin_cfg['admin_buttons_pos'];
$ezin_opts['display'] = array('query' => false, 'sort'  => false, 'time'  => false);
$ezin_opts['url'] = array('images' => 'icons/');
$ezin_opts['sort_field'] = array('-datetime', '-id');
$ezin_opts['language'] = 'EN';

// Field definitions

$ezin_opts['fdd']['id'] = array(
		'name'=>'ID',
		'select'=>'T',
		'maxlen'=>3,
		'sort'=>true,
		'default'=>'',
		'options'=>'LDVFPCR',
		);

$ezin_opts['fdd']['section_id'] = array(
		'name'=>'Section',
		'select'=>'T',
		'sort'=>true,
		'required'=>true,
		'values'=>array(
			'table' => $ezin_sys['db']['tables']['sections'],
			'column' => 'id',
			'description' => array(
				'columns' => array('name', 'id'),
				'divs'    => array(' (', ')')))
		);

$ezin_opts['fdd']['datetime'] = array(
		'name'=>Platon::htmlspecialchars2('Date & Time'),
		'select'=>'T',
		'sort'=>true,
		'required'=>true,
		'mask'=>'%.10s',
		'default'=>date('Y-m-d H:i:s')
		);

$ezin_opts['fdd']['text_flags'] = array(
		'name'=>Platon::htmlspecialchars2('Text flags'),
		'select'=>'T',
		'options'=>'HCAP'
		);

$ezin_opts['fdd']['text'] = array(
		'name'=>Platon::htmlspecialchars2('Editorial text'),
		'select'=>'T',
		'textarea'=>array(
			'rows'=>10,
			'cols'=>65,
			'wrap'=>'virtual'
			),
		'required'=>true,
		'options'=>'ACPVD'.'LF',
		'trimlen|LF' => 35,
		'strip_tags|LF' => true
		);

// Execution code

if (! ezin_admin_check_list_privileges($ezin_opts['options'])) {
	require 'inc-html/permdenied.html';
} else {
	require_once 'phpMyEdit/phpMyEdit.class.php';
	
	$ezin_opts['cgi']['overwrite'][phpMyEdit::get_default_cgi_prefix('data').'text_flags'] = ezin_get_special_tags_flags(phpMyEdit::get_data_cgi_var('text'));

	new phpMyEdit($ezin_opts);
}

?>
